Bug 122683 - I18N - linux - mobility project won't run in emulator in asian locales
I18N - linux - mobility project won't run in emulator in asian locales
Status: RESOLVED WONTFIX
Product: javame
Classification: Unclassified
Component: -- Other --
6.x
Other All
: P2 (vote)
: 6.x
Assigned To: Karol Harezlak
issues@mobility
: I18N, RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 19:08 UTC by Ken Frank
Modified: 2008-02-28 12:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2007-11-24 19:08:47 UTC
1. this is NOT about using non ascii in mobility project names - that is a known restriction.
this is NOT related to using a translated nb.

2. this happens at least in asian locales on linux, not sure about other non en ones.
3. reported as not happening using jdk5.

4. . this might be related to some jdk issues not fixed in jdk6 but it might not be - please
don't close as a jdk issue until sure its not nb; see comment 6 and 8. for more on this.

5. steps
a. be in ja locale on linux (was using RH4)
b. create mobility project or demo project.
c. run it

d. emulator does not appear.
e. I did not see exceptions.

f. run nb in en locale - same steps - emulator appears.

6. I installed wtk myself and ran in ja locale, using ktoolbar, and was able to run
the demo apps 

a. I then ran the netbeans created app or demo (in <projectdir>/dist, using the wtk own emulator
(modified wtk own run.sh to point to correct path of wtk emulator) - and in ja
locale was able to run the netbeans created app, ie <projectdir>/dist/UIDemo.jar 

b. this seems to mean that it might be problem in nb rather than in jdk 

7. regardless of cause, we need to get relnote and faq for nb6 fcs that tells about a workaround,
and gives steps in context of the wtk installed with nb, not about a standalone one.
(whether the w.o described in 6 or something else, like some config in some mobility project
props or the wtk itself from tools->java platforms or some other one)

8. the jdk issues mentioned that might be related are
6488089, 6389282.
Comment 1 Ken Frank 2007-11-24 19:43:43 UTC
it seems to be ok when running in ja utf-8 locale on linux, regardless if the
project encoding property is utf-8 or euc-jp.

But in regular ja locale (euc-jp) encoding, using utf-8 or euc-jp project encoding does
not help.

ken.frank@sun.com
Comment 2 Ken Frank 2007-11-26 18:29:41 UTC
I think the problem does happen when am in ja utf8 locale, unlike what I had commented
before.

can team provide an initial evaluation ?

ken.frank@sun.com
Comment 3 Masaki Katakai 2007-11-27 05:28:11 UTC
Please don't forget to add jf4jbug at filing I18N issue.

Thanks.
Comment 4 Ken Frank 2008-01-17 01:08:33 UTC
wtk issue 663631 was filed about this.
Comment 5 Lukas Hasik 2008-02-18 10:51:16 UTC
correct bugster bug number is 6636361
Comment 6 Ken Frank 2008-02-18 16:19:37 UTC
jdk6 u10 build 12 is recently out with the fix for this issue ported to it.
I did a quick test on rh4 in ja locale using this jdk, and it seems to be fixed
both in using netbeans itself and using wtk emulator standalone using ktoolbar.

lets wait a bit to close it for some more testing.

jdk6u10 won't officially be out until August, so we can keep release
notes item on this for 6.1.

ken.frank@sun.com
Comment 7 Karol Harezlak 2008-02-21 21:59:04 UTC
Since we can do nothing about it I would rather close this issue and add necessary information to the 6.1 release note.
Luskas could you test it with jdk6 u10 build 12? Thanks.
Comment 8 Bradley Schmidt 2008-02-26 15:44:27 UTC
The JDK6 issue #6389282 is already in the release notes for 6.0 Mobility. I will add a note mentioning the fixed jdk6
u10 build 12. Should I reference and link to a different bug database issue for the release note entry? If yes, which
one does QA recommend? :)
Comment 9 Ken Frank 2008-02-26 15:48:40 UTC
as to the bug database to use, I dont know if all sun bug databases
are visible to external users; also don't know if the jdk updates
not yet released externally are available to external users.

ken.frank@sun.com
Comment 10 Lukas Hasik 2008-02-28 12:59:59 UTC
Closing as WONTFIX. 

Nothing can be done on mobility side. Please, update your JDK to the version with the fix to be able to run in Asian
locales.

Brad, keep it in the RN for now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo